curl --request POST \
--url https://api.aisa.one/apis/v1/tikhub/xiaohongshu/pgy/get_blogger_list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"page_num": 1,
"page_size": 20,
"keyword": "咖啡",
"search_type": 1,
"column": "comprehensiverank",
"sort": "desc",
"brand_user_id": "5dcfa5370000000001006030",
"similar_user_id": "5c668b3e0000000012021605",
"similar_word": "<string>",
"goal": {
"market_target": "mAccumImpNum"
},
"blogger": {
"content_tag": [
"美妆",
"面部保养",
"面部清洁"
],
"personal_tags": [
"妈妈"
],
"feature_tags": [
"vlog"
],
"content_theme": [
"汽车特色"
],
"audience20": [
"自由畅行",
"自在户外 自在户外-挑战极限者"
],
"industry_crowd": [
"15795914"
],
"consumer_behavior": [
"内容行为预估 汽车"
],
"note_scene": [
"汽车 理性决策 选车攻略 政策"
],
"gender": "女",
"location": [
"上海"
],
"signed": 0
},
"fans": {
"count": {
"min": 10000,
"max": 50000
},
"age": 3,
"gender": 2,
"child_age": [],
"device_price": [
"3000-3999"
],
"device_brand": [
"苹果"
],
"location": [
"上海"
]
},
"note": {
"imp_median": {
"min": 10000,
"max": 50000
},
"read_median": {
"min": 10000,
"max": 50000
},
"inter_median": {
"min": 10000,
"max": 50000
},
"thousand_like_percent": {
"min": 20,
"max": 80
},
"note_type": 2
},
"coop": {
"pic_price": {
"min": 10000,
"max": 50000
},
"video_price": {
"min": 10000,
"max": 50000
},
"order_count": {
"min": 10000,
"max": 50000
},
"reply_48h_ratio": {
"min": 20,
"max": 80
},
"industry": "美妆个护",
"brand_ids": [
"<string>"
],
"exclude_brands": true,
"imp_median": {
"min": 10000,
"max": 50000
},
"read_median": {
"min": 10000,
"max": 50000
},
"inter_median": {
"min": 10000,
"max": 50000
},
"cpuv": {
"min": 10000,
"max": 50000
},
"pic_cpm": {
"min": 10000,
"max": 50000
},
"video_cpm": {
"min": 10000,
"max": 50000
},
"pic_read_price": {
"min": 10000,
"max": 50000
},
"video_read_price": {
"min": 10000,
"max": 50000
},
"pic_engage_cost": {
"min": 10000,
"max": 50000
},
"video_engage_cost": {
"min": 10000,
"max": 50000
},
"estimate_cpuv": {
"min": 10000,
"max": 50000
}
},
"live": {
"live_count": {
"min": 10000,
"max": 50000
},
"avg_viewer": {
"min": 10000,
"max": 50000
},
"avg_gmv": {
"min": 10000,
"max": 50000
}
},
"flags": {
"is_star": true,
"new_high_quality": true,
"high_quality": true,
"note_and_live": true,
"filter_intention": true,
"activity_codes": [
"<string>"
],
"exclude_low_active": true,
"exclude_fans_down": true,
"exclude_cooperated": true,
"exclude_invited": true,
"industry_first": "美妆个护",
"industry_second": "<string>"
}
}
'import requests
url = "https://api.aisa.one/apis/v1/tikhub/xiaohongshu/pgy/get_blogger_list"
payload = {
"page_num": 1,
"page_size": 20,
"keyword": "咖啡",
"search_type": 1,
"column": "comprehensiverank",
"sort": "desc",
"brand_user_id": "5dcfa5370000000001006030",
"similar_user_id": "5c668b3e0000000012021605",
"similar_word": "<string>",
"goal": { "market_target": "mAccumImpNum" },
"blogger": {
"content_tag": ["美妆", "面部保养", "面部清洁"],
"personal_tags": ["妈妈"],
"feature_tags": ["vlog"],
"content_theme": ["汽车特色"],
"audience20": ["自由畅行", "自在户外 自在户外-挑战极限者"],
"industry_crowd": ["15795914"],
"consumer_behavior": ["内容行为预估 汽车"],
"note_scene": ["汽车 理性决策 选车攻略 政策"],
"gender": "女",
"location": ["上海"],
"signed": 0
},
"fans": {
"count": {
"min": 10000,
"max": 50000
},
"age": 3,
"gender": 2,
"child_age": [],
"device_price": ["3000-3999"],
"device_brand": ["苹果"],
"location": ["上海"]
},
"note": {
"imp_median": {
"min": 10000,
"max": 50000
},
"read_median": {
"min": 10000,
"max": 50000
},
"inter_median": {
"min": 10000,
"max": 50000
},
"thousand_like_percent": {
"min": 20,
"max": 80
},
"note_type": 2
},
"coop": {
"pic_price": {
"min": 10000,
"max": 50000
},
"video_price": {
"min": 10000,
"max": 50000
},
"order_count": {
"min": 10000,
"max": 50000
},
"reply_48h_ratio": {
"min": 20,
"max": 80
},
"industry": "美妆个护",
"brand_ids": ["<string>"],
"exclude_brands": True,
"imp_median": {
"min": 10000,
"max": 50000
},
"read_median": {
"min": 10000,
"max": 50000
},
"inter_median": {
"min": 10000,
"max": 50000
},
"cpuv": {
"min": 10000,
"max": 50000
},
"pic_cpm": {
"min": 10000,
"max": 50000
},
"video_cpm": {
"min": 10000,
"max": 50000
},
"pic_read_price": {
"min": 10000,
"max": 50000
},
"video_read_price": {
"min": 10000,
"max": 50000
},
"pic_engage_cost": {
"min": 10000,
"max": 50000
},
"video_engage_cost": {
"min": 10000,
"max": 50000
},
"estimate_cpuv": {
"min": 10000,
"max": 50000
}
},
"live": {
"live_count": {
"min": 10000,
"max": 50000
},
"avg_viewer": {
"min": 10000,
"max": 50000
},
"avg_gmv": {
"min": 10000,
"max": 50000
}
},
"flags": {
"is_star": True,
"new_high_quality": True,
"high_quality": True,
"note_and_live": True,
"filter_intention": True,
"activity_codes": ["<string>"],
"exclude_low_active": True,
"exclude_fans_down": True,
"exclude_cooperated": True,
"exclude_invited": True,
"industry_first": "美妆个护",
"industry_second": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
page_num: 1,
page_size: 20,
keyword: '咖啡',
search_type: 1,
column: 'comprehensiverank',
sort: 'desc',
brand_user_id: '5dcfa5370000000001006030',
similar_user_id: '5c668b3e0000000012021605',
similar_word: '<string>',
goal: {market_target: 'mAccumImpNum'},
blogger: {
content_tag: ['美妆', '面部保养', '面部清洁'],
personal_tags: ['妈妈'],
feature_tags: ['vlog'],
content_theme: ['汽车特色'],
audience20: ['自由畅行', '自在户外 自在户外-挑战极限者'],
industry_crowd: ['15795914'],
consumer_behavior: ['内容行为预估 汽车'],
note_scene: ['汽车 理性决策 选车攻略 政策'],
gender: '女',
location: ['上海'],
signed: 0
},
fans: {
count: {min: 10000, max: 50000},
age: 3,
gender: 2,
child_age: [],
device_price: ['3000-3999'],
device_brand: ['苹果'],
location: ['上海']
},
note: {
imp_median: {min: 10000, max: 50000},
read_median: {min: 10000, max: 50000},
inter_median: {min: 10000, max: 50000},
thousand_like_percent: {min: 20, max: 80},
note_type: 2
},
coop: {
pic_price: {min: 10000, max: 50000},
video_price: {min: 10000, max: 50000},
order_count: {min: 10000, max: 50000},
reply_48h_ratio: {min: 20, max: 80},
industry: '美妆个护',
brand_ids: ['<string>'],
exclude_brands: true,
imp_median: {min: 10000, max: 50000},
read_median: {min: 10000, max: 50000},
inter_median: {min: 10000, max: 50000},
cpuv: {min: 10000, max: 50000},
pic_cpm: {min: 10000, max: 50000},
video_cpm: {min: 10000, max: 50000},
pic_read_price: {min: 10000, max: 50000},
video_read_price: {min: 10000, max: 50000},
pic_engage_cost: {min: 10000, max: 50000},
video_engage_cost: {min: 10000, max: 50000},
estimate_cpuv: {min: 10000, max: 50000}
},
live: {
live_count: {min: 10000, max: 50000},
avg_viewer: {min: 10000, max: 50000},
avg_gmv: {min: 10000, max: 50000}
},
flags: {
is_star: true,
new_high_quality: true,
high_quality: true,
note_and_live: true,
filter_intention: true,
activity_codes: ['<string>'],
exclude_low_active: true,
exclude_fans_down: true,
exclude_cooperated: true,
exclude_invited: true,
industry_first: '美妆个护',
industry_second: '<string>'
}
})
};
fetch('https://api.aisa.one/apis/v1/tikhub/xiaohongshu/pgy/get_blogger_list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
蒲公英笔记博主广场(找博主
蒲公英笔记博主广场(找博主
code 为 200 时计费。
示例
curl -X POST "https://api.aisa.one/apis/v1/tikhub/xiaohongshu/pgy/get_blogger_list" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{}' # 请求体结构见下方 schema
授权
AIsa API key. Get yours at https://aisa.one
请求体
页码,1-250(上游只放出前 5000 条)/Page, 1-250
1 <= x <= 2501
每页数量,1-20(网页固定 20,建议保持 20)/Page size, 1-20
1 <= x <= 2020
搜索词;空=只筛选不搜索/Keyword
50"咖啡"
1=按笔记关键词找博主(默认) 0=按昵称搜/Search mode
0, 1 1
排序字段,共 34 个,见接口说明的排序字段表/Sort column, 34 options, see endpoint docs
comprehensiverank, fansCount, price, clickNum, mEngagementNum, accumCommonImpMedinNum30d, accumPicCommonImpMedinNum30d, accumVideoCommonImpMedinNum30d, pictureClickMidNum, videoClickMidNum, pictureInterMidNum, videoInterMidNum, thousandLikePercent30, pictureThousandLikePercent30, videoThousandLikePercent30, hundredLikePercent30, pictureHundredLikePercent30, videoHundredLikePercent30, videoFinishRate, accumCoopImpMedinNum30d, readMidCoop30, interMidCoop30, mCpuvNum30d, picturePrice, videoPrice, pictureReadCost, videoReadCost, inviteReply48hNumRatio, fans30GrowthRate, fansActiveIn28dLv, fansEngageNum30dLv, kliveCnt30d, avgLiveViewerNum, avgAgmv90d "comprehensiverank"
排序方向 desc/asc
desc, asc "desc"
品牌方/广告主用户ID,可不填/Brand user ID, optional
"5dcfa5370000000001006030"
找相似博主:填一个博主的 userId,返回与他相似的博主,并且可以叠加下面所有筛选(这是它与 /get_blogger_similar 的关键区别)/Find similar bloggers; unlike /get_blogger_similar it can be combined with all filters below
"5c668b3e0000000012021605"
配合 similar_user_id 的博主昵称,仅用于回显、不影响结果/Nickname echo for similar_user_id; does not affect results
64合作目标筛选/Cooperation goal filters
Show child attributes
Show child attributes
博主属性筛选/Blogger attribute filters
Show child attributes
Show child attributes
粉丝画像筛选/Fans profile filters
Show child attributes
Show child attributes
日常笔记数据筛选/Organic note metric filters
Show child attributes
Show child attributes
合作笔记数据筛选/Sponsored note metric filters
Show child attributes
Show child attributes
直播数据筛选/Live metric filters
Show child attributes
Show child attributes
开关类筛选/Boolean flag filters
Show child attributes
Show child attributes
响应
Successful response. 以实际调用为准 / Response structure varies; refer to the actual API response.